		<?php $newsletter = get_field('newsletter', 'options'); ?>
		<section class="newsletter cover-bg"  style="background-image: url(<?php echo $newsletter['background']; ?>)">
			<div class="container">
				<div class="row align-center-v">
					<?php if ($newsletter['title']): ?>
					<div class="col-md-5 col-sm-5 col-xs-12">
						<h2 class="title"><?php echo $newsletter['title']; ?></h2>
					</div>
					<?php endif; ?>

					<div class="col-md-7 col-sm-7 col-xs-12">
						<div class="newsletter-form">
							<?php echo do_shortcode('[gravityform id="2" title="false" description="false" tabindex="20" ajax="true"]'); ?>
						</div>
					</div>
				</div>
			</div>
		</section><!-- /newsletter -->

		<footer class="footer" <?php if(get_field('footer_background', 'options')): ?> style="background: <?php the_field('footer_background', 'options'); ?>" <?php endif; ?>>
	        <div class="container">
	            <div class="row">
	                <div class="col-md-3 col-sm-12 col-xs-12">
	                    <div class="footer-logo">
	                        <a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php echo the_field('theme_footer_logo', 'options'); ?>" alt="Lawyer Theme Logo" class="img-responsive"></a>
	                    </div>
	                </div>

	                <div class="col-md-9 col-sm-12 col-xs-12">
	                    <div class="widget col-md-3 col-sm-6 col-xs-6 col">
	                        <h4 class="widget-title"><?php _e('Information', 'lawyer'); ?></h4>
	                        <?php 
								wp_nav_menu(array(
		                            'menu'               => 'Footer menu 1',
		                            'theme_location'     => 'menu-2',
		                            'depth'              => 2,
		                            'container'          => 'false',
		                            'menu_class'         => 'footer-menu list-unstyled',
		                            'menu_id'            => '',
		                           	'fallback_cb'        => 'wp_bootstrap_navwalker::fallback',
	                        		'walker'             => new wp_bootstrap_navwalker()
	                            ));
		                    ?>
	                    </div>

	                    <div class="widget col-md-3 col-sm-6 col-xs-6 col">
	                        <h4 class="widget-title"><?php _e('Practice Areas', 'lawyer'); ?></h4>
	                        <?php 
								wp_nav_menu(array(
		                            'menu'               => 'Footer menu 3',
		                            'theme_location'     => 'menu-3',
		                            'depth'              => 2,
		                            'container'          => 'false',
		                            'menu_class'         => 'footer-menu list-unstyled',
		                            'menu_id'            => '',
		                           	'fallback_cb'        => 'wp_bootstrap_navwalker::fallback',
	                        		'walker'             => new wp_bootstrap_navwalker()
	                            ));
		                    ?>
	                    </div>

	                    <?php
	                    $phone = get_field('phone', 'options');
	                    $address = get_field('address', 'options');
	                    if ($phone || $address): ?>
	                    <div class="widget col-md-3 col-sm-6 col-xs-6 col">
	                        <h4 class="widget-title"><?php _e('Contact', 'lawyer'); ?></h4>
	                        <ul>
	                        	<?php if ($address): ?>
	                            <li>
	                                <div class="icon pull-left">
	                                    <i class="icon-location"></i>
	                                </div>
	                                <a href="<?php echo $address['google_map_url']; ?>" target="_blank"><?php echo $address['address']; ?></a>
	                            </li>
	                        	<?php endif; ?>

	                            <?php if ($phone): ?>
	                            <li>
	                                <div class="icon pull-left">
	                                    <i class="icon-phone"></i>
	                                </div>
	                                <a href="tel:<?php echo $phone; ?>">Tel: <?php echo $phone; ?></a>
	                            </li>
	                            <?php endif; ?>
	                        </ul>
	                    </div>
	                    <?php endif; ?>

	                    <?php $social_media = get_field('social_media', 'options'); if($social_media): ?>
	                    <div class="widget col-md-3 col-sm-6 col-xs-6 col">
	                        <h4 class="widget-title"><?php _e('Follow us', 'lawyer'); ?></h4>
	                        <ul class="social-media list-inline">
	                        	<?php foreach ($social_media as $social): ?>
	                            <li><a href="<?php echo $social['url']; ?>" class="bg-<?php echo $social['icon']['value']; ?>" target="_blank"><i class="<?php echo $social['icon']['value']; ?>"></i></a></li>
	                        	<?php endforeach; ?>
	                        </ul>
	                    </div>
	                	<?php endif; ?>
	                </div>
	            </div>

	            <?
	            $companyname = get_field('name', 'options');
	    		$period = '.';
	    		$copyright = $companyname . '' . $period;
	    		?>

	             <div class="row copyright">
	                <p class="text-center">© Copyright <?=date('Y')?><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php
					if ($companyname == TRUE) {
					    echo '&nbsp'; echo $copyright;
					} elseif ($companyname == FALSE) {
					    echo $period;
					} else {
					    echo "";
					}
					?>
					<span>All Rights Reserved.</span></p>
	            </div>
	        
	        </div>
	    </footer>
	    <?php wp_footer(); ?>
	</body>
</html>