<!DOCTYPE html>
<html <?php language_attributes(); ?>>
	<head>
		<meta charset="<?php bloginfo( 'charset' ); ?>">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<?php if (get_field('favicon', 'options')): ?>
        	<link rel="icon" href="<?php the_field('favicon', 'options'); ?>" sizes="32x32">
        <?php endif; ?>
		<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
		<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
		<!--[if lt IE 9]>
		<script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
		<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
		<![endif]-->
		<?php $theme_color = get_field('lawyer_theme_color', 'options'); if($theme_color): ?>
		<style type="text/css">
			/* color */
			.navbar-toggle .icon-bar .inner, .btn:hover, .btn:focus, .mission-vission .container-fluid .row .right, .mission-vission .container-fluid .row .right:after, .attorney:hover, .attorney:focus, .blog-post .media .entry-meta, .legal-assistance, .legal-assistance .form-title h3, .practic-pg .practic-item .title .header .navbar .nav li a:before, .header .navbar .nav li a:before, .loadmore span,input[type="submit"]{ background: <?php echo $theme_color; ?> !important; }

			/* Border color */
			.legal-assistance .form-title h3:before { border-right-color: <?php echo $theme_color; ?> !important; }
			.header .navbar .navbar-collapse .nav li a:before, .legal-assistance .form-title h3:after { border-left-color: <?php echo $theme_color; ?> !important; }

			.btn, .btn:hover, .btn:focus, blockquote, .feature-item:hover .icon, .feature-item:focus .icon, input[type="text"]:hover, input[type="text"]:focus, input[type="number"]:hover, input[type="number"]:focus, input[type="email"]:hover, input[type="email"]:focus, input[type="tel"]:hover, input[type="tel"]:focus, input[type="search"]:hover, input[type="search"]:focus, select:hover, select:focus, textarea:hover, textarea:focus{ border-color: <?php echo $theme_color; ?> !important; }

			/* Background color */
			.header .top-bar ul li a:hover, .header .top-bar ul li a:focus, .btn, .header .top-bar ul li.email a, .blog-post:hover .entry-title, .blog-post:focus .entry-title, .footer .copyright p a:hover, .footer .copyright p a:focus, .attorney .content h4, .feature-item:hover h4, .feature-item:focus h4, .practic-item:hover h5, .practic-item:focus h5, .widget a:not([class^="bg-icon"]):hover, .widget a:focus, .blog-pg .blog-post .entry-content .posted-on, .blog-pg .blog-post .entry-content .posted-on a, .quick-contact a, .practic-details .title{ color: <?php echo $theme_color; ?> !important; }

			/* opacity color */
			.practic-pg .practic-item .title, .practic-pg .practic-item .media .content-hover, .newsletter:before {
				background:  <?php echo hex2rgb($theme_color); ?> !important;
			}
		</style>
		<?php endif; ?>
		
		<?php wp_head(); ?>
	</head>
	<body <?php body_class(); ?>>
		<header class="header">
			<?php $phone = get_field('phone', 'options'); $email = get_field('email_address', 'options'); if ($phone || $email): ?>
			<div class="top-bar">
				<div class="container">
					<div class="row">
						<div class="col-md-12 col-sm-12 col-xs-12">
							<ul class="list-inline text-right">
								<?php if ($phone): ?>
								<li class="phone"><a href="tel:<?php echo $phone; ?>" class="icon-phone"><?php echo $phone; ?></a></li>
								<?php endif; ?>

								<?php if ($email): ?>
								<li class="email"><a href="mailto:<?php echo $email; ?>" class="icon-mail"><?php echo $email; ?></a></li>
								<?php endif; ?>
							</ul>
						</div>
					</div>
				</div>
			</div><!-- /top-bar -->
			<?php endif; ?>

			<div class="navbar navbar-default">
			  	<div class="container">
					<div class="navbar-header">
					  	<div class="logo">
					 		<a class="navbar-brand" href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php echo the_field('theme_logo', 'options'); ?>" class="img-responsive" alt="Lawyer Theme Logo"></a>
					 	</div>

					 	<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
							<span class="icon-bar"><span class="inner"></span></span>
							<span class="icon-bar"><span class="inner"></span></span>
							<span class="icon-bar"><span class="inner"></span></span>
					  	</button>
					</div>
			
					<div class="collapse navbar-collapse">

					  	<?php wp_nav_menu( 
	                        array(
	                            'menu'               => 'Primary menu',
	                            'theme_location'     => 'menu-1',
	                            'depth'              => 2,
	                            'container'          => 'false',
	                            'menu_class'         => 'nav navbar-nav navbar-right',
	                            'menu_id'            => '',
	                            'fallback_cb'        => 'wp_bootstrap_navwalker::fallback',
	                            'walker'             => new wp_bootstrap_navwalker()
	                            ) 
	                        ); 
	                    ?>
			
					</div><!-- /collapse -->
			  	</div><!-- /container -->
			</div><!--/ Navbar -->
		</header><!--/ header -->

		<?php
			$header_title = get_field('header_title', getPageID());
			$header_background = get_field('header_background', getPageID());
			$title = $header_title ? $header_title : get_the_title();
			$header_bg = $header_background ? $header_background : get_template_directory_uri()."/images/page-header-practice.jpg";
		if (!is_404() && !is_front_page()): ?>
		<div class="entry-header cover-bg align-center-v" style="background-image: url(<?php echo $header_bg; ?>)">
			<div class="container">
				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<h1 class="hero-title"><?php echo customizedtitle($title); ?></h1>
					</div>
				</div>
			</div>
		</div><!-- /entry-header -->
		<?php endif; ?>