(function ($) {
	"use strict";

	/**
	 * Adobe typekit font
	 *
	 */
	try{Typekit.load({ async: true });}catch(e){};

	/**
	 * Sticky header
	 *
	 */
	$(window).scroll(function() {
		if ($(window).scrollTop() > 0) {
			$(".header").addClass("sticky");
		} 
		else {
			$(".header").removeClass("sticky");
		}
	});

	$(".navbar-toggle").click(function() {
		$(this).toggleClass('in');
	});

	$(".about_slider, .slick-dots").slick({

	    autoplay: true,
	    dots: true,
	    customPaging : function(slider, i) {
	        var thumb = $(slider.$slides[i]).data('thumb');
	        return '<a class="thumb"><img src="'+thumb+'"></a>';
	    },
	});

	$(function() {
	    $('.about_slider li').click(function() {
	        $('.about_slider li').removeClass('active');
	        $(this).addClass('active');             
	   });
	});

	/**
	 * Google map
	 *
	 */

	var mapElement = document.getElementById("gmap");
	if( mapElement) {
		var map;
		google.maps.event.addDomListener(window, 'load', init);
	}
	
	function init() {

		var google_map_setting = {
			latitude: ajax.gmap_latitude,
			longitude: ajax.gmap_longitude
		};
		
		if (ajax.map_icon) {	
			var image = ajax.map_icon;
		}
		
		
	    var mapOptions = {
	        zoom: 17,
	        disableDefaultUI: true,
	        draggable: false,
	        scrollwheel: false,
	        center: new google.maps.LatLng( google_map_setting.latitude, google_map_setting.longitude)
	    };

		var contentString = ajax.gmap_address;
		var infowindow = new google.maps.InfoWindow({
			content: contentString,
			maxWidth: 200
		});

	    var map = new google.maps.Map(mapElement, mapOptions);

	    var marker = new google.maps.Marker({
	        position: new google.maps.LatLng( google_map_setting.latitude, google_map_setting.longitude),
	        map: map,
	        //icon: image,
	    });

	    google.maps.event.addListener(marker, 'click', function() {
			infowindow.open(map, marker);
		});

		var center = map.getCenter();
		google.maps.event.addDomListener(window, 'resize', function() {
		    map.setCenter(center);
		});

	}

	/*
	AJAX LOAD MORE 
	*/
	var page = 1;
  	function queryAjax( page = null ){
	  	$.ajax({
	  	 	url: ajax.admin_ajax,
	  	 	type: 'POST',
	  	 	dataType: 'html',
	  	 	data: {
	  	 		action: 'filterposts',
	  	 		query: ajax.query,
	  	 		page: page,
	  	 	},
	  	 	beforeSend: function(){
	  	 		$('.loadmore').addClass('loading');
	  	 	},
	  	 	success: function(resp){
	  	 		$('.loadmore').removeClass('loading');
	  	 		$('.notResult').remove();
	  	 		$('#loadAjax').append(resp);
	  	 	},
	  	 	error: function( jqXHR, textStatus, errorThrown){
	  	 		console.log( jqXHR, textStatus, errorThrown);
	  	 	}
	  	});
  	}

	// on page load 
	queryAjax(page);

	$('.loadmore').on('click', function(){
		page += 1; 
		queryAjax(page);
	});



}(jQuery));