<?php 
/*
Template Name: About Us
*/
get_header(); ?>
	<div id="primary" class="content-area">

		<section class="about-us">
			<div class="container">
				<div class="row">
					<div class="col-md-6 col-sm-6 col-xs-12">
						<div class="content">
							<?php if (get_field('about_us_title')): ?>
							<div class="section-title">
								<h2 class="title"><?php the_field('about_us_title'); ?></h2>
							</div>
							<?php endif; ?>

							<?php if (get_field('about_us_content')): ?>
								<?php the_field('about_us_content'); ?>
							<?php endif; ?>
						</div>
					</div>

					<?php $about_gallery = get_field('about_gallery'); if ($about_gallery): ?>
					<div class="col-md-6 col-sm-6 col-xs-12">
						<ul class="about_slider list-unstyled">
							<?php foreach ($about_gallery as $gallery): ?>
							<li class="item cover-bg" data-thumb="<?php echo $gallery['image']['sizes']['thumbnail']; ?>" style="background-image: url(<?php echo $gallery['image']['url']; ?>);"></li>
							<?php endforeach; ?>
						</ul>
					</div>
					<?php endif; ?>
				</div>
			</div>
		</section><!-- /about-us -->

		<section class="mission-vission">
			<div class="container-fluid">
				<div class="row">
					<div class="left col-md-5 col-sm-5 hidden-xs">
				        <div class="media cover-bg" style="background-image: url(<?php the_field('mission_left_image'); ?>);"></div>
				    </div>
				    <div class="right align-center-v col-md-7 col-sm-7 col-xs-12">
			      		<div class="content">
			      			<?php if (get_field('mission_vision_title')): ?>
			      			<h1 class="title"><?php the_field('mission_vision_title'); ?></h1>
			      			<?php endif; ?>

			      			<?php $missions = get_field('missions'); if ($missions): ?>
							<ul class="list-unstyled">
								<?php foreach ($missions as $mission): ?>
								<li><?php echo $mission['name']; ?></li>
								<?php endforeach; ?>
							</ul>
			      			<?php endif; ?>

			      			<?php if(get_field('missions_button')): $pageid = get_permalink( get_option( 'page_for_posts' )) == get_field('missions_button') ? get_option('page_for_posts') :  url_to_postid( get_field('missions_button')); ?>
								<a href="<?php the_field('missions_button'); ?>" class="btn text-uppercase"><?php echo get_the_title($pageid); ?></a>
							<?php endif; ?>
			      		</div>
				  	</div>
				</div>
		   	</div>
		</section><!-- /mission-vission -->

		<section class="attorneys" style="background: <?php the_field('attorneys_background'); ?>">
			<div class="container">
				<?php if (get_field('attorneys_title')): ?>
				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<div class="section-title text-center">
							<h2 class="title"><?php the_field('attorneys_title'); ?></h2>
						</div>
					</div>
				</div>
				<?php endif; ?>

				<div class="row">
					<?php
						$args = array(
							'post_type' => 'attorneys',
							'orderby' => 'ASC',
							'posts_per_page' => -1,
						);

						$loop = new WP_Query( $args );
						if ($loop->have_posts()) : while ($loop->have_posts()) : $loop->the_post();
						$attorney_image = get_field('attorney_image');

						$AttimgSrc = $attorney_image ? $attorney_image['sizes']['attorney_545x543'] : get_template_directory_uri().'/images/placeholder-attorney.jpg';
					 ?>
					<a href="<?php the_permalink(); ?>" class="col-md-3 col-sm-6 col-xs-6 col">
						<div class="attorney text-center">
							<div class="media">
								<img src="<?php echo $AttimgSrc; ?>" class="img-responsive mx-auto" alt="<?php echo $attorney_image['alt']; ?>">
							</div>
							<div class="content">
								<h4><?php the_title(); ?></h4>

								<?php if (get_field('attorneys_position')): ?>
								<h5><?php the_field('attorneys_position'); ?></h5>
								<?php endif; ?>
							</div>
						</div>
					</a><!-- /attorney -->
					<?php endwhile; else : ?>
						<section class="not-found text-center"><h2><?php _e('No Attorneys found!', 'lawyer'); ?></h2></section>
					<?php endif; wp_reset_postdata(); ?>
				</div>
			</div>
		</section><!-- /attorneys -->

	</div><!-- #primary -->
<?php get_footer(); ?>