<?php 
/*
Template Name: Contact Us
*/
get_header(); ?>
	<div id="primary" class="content-area">

		<section class="contact-us">
			<div class="container">
				<div class="row">
					<div class="col-md-5 col-sm-5 col-xs-12">
						<ul class="quick-contact list-unstyled">
							<?php $address = get_field('address', 'options'); if ($address): ?>
								<li class="address">
									<?php if ($address['name']): ?>
										<label><?php echo $address['name']; ?></label>
									<?php endif ?>
									<a href="<?php echo $address['google_map_url']; ?>" target="_blank"><?php echo $address['address']; ?></a>
								</li>
							<?php endif; ?>

							<?php $phone = get_field('phone', 'options'); if ($phone): ?>
								<li class="phone">
									<label><?php _e('Phone: ', 'lawyer'); ?></label>
									<a href="tel:<?php echo $phone; ?>"><?php echo $phone; ?></a>
								</li>
							<?php endif; ?>

							<?php $fax = get_field('fax', 'options'); if ($fax): ?>
								<li class="fax">
									<label><?php _e('Fax: ', 'lawyer'); ?></label>
									<a href="tel:<?php echo $fax; ?>"><?php echo $fax; ?></a>
								</li>
							<?php endif; ?>

							<?php $email = get_field('email_address', 'options'); if ($email): ?>
								<li class="email">
									<label><?php _e('Email: ', 'lawyer'); ?></label>
									<a href="mailto:<?php echo $email; ?>"><?php echo $email; ?></a>
								</li>
							<?php endif; ?>

							<?php $office_time = get_field('hours_of_operation', 'options'); if ($office_time): ?>
								<li class="hours">
									<label><?php _e('Hours of Operation: ', 'lawyer'); ?></label>
									<p><?php echo $office_time; ?></p>
								</li>
							<?php endif; ?>
						</ul>
					</div>
					<div class="col-md-7 col-sm-7 col-xs-12">
						<div class="contact-form">
							<?php if (get_field('contact_title')): ?>
							<div class="section-title">
								<h2 class="title text-uppercase"><?php the_field('contact_title'); ?></h2>
							</div>
							<?php endif; ?>

							<?php echo do_shortcode('[gravityform id="1" title="false" description="false" tabindex="10" ajax="true"]'); ?>
						</div>
					</div>
				</div>
			</div>
		</section><!-- /contact-us -->

		<div id="gmap"></div>

	</div><!-- #primary -->
<?php get_footer(); ?>