<?php 
/*
Template Name: Home
*/
get_header(); ?>
	<div id="primary" class="content-area">

		<section class="banner align-center-v cover-bg" style="background-image: url(<?php the_field('banner_image'); ?>)">
			<div class="container">
				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<?php $banner_title = get_field('banner_title'); if ($banner_title): ?>
						<h1 class="hero"><span><?php echo $banner_title['line_1']; ?> </span><?php echo $banner_title['line_2']; ?></h1>
						<?php endif; ?>
					</div>
				</div>
			</div>
		</section><!-- /banner -->

		<section class="legal-assistance">
			<div class="container">
				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<div class="form-title">
							<h3><?php _e('NEED LEGAL ASSISTANCE?', 'lawyer'); ?></h3>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<?php echo do_shortcode('[gravityform id="3" title="false" description="false" tabindex="30" ajax="true"]'); ?>
					</div>
				</div>
			</div>
		</section><!-- /legal-assistance -->

		<section class="about">
			<div class="container">
				<?php 
					$welcome_title = get_field('welcome_title');
					$welcome_content = get_field('welcome_content');
				 	if ($welcome_title || $welcome_content): ?>
				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<div class="section-title text-center">
							<?php if ($welcome_title): ?>
							<h2 class="title"><?php echo $welcome_title; ?></h2>
							<?php endif; ?>

							<?php if ($welcome_content): ?>
							<h4 class="sub-title"><?php echo $welcome_content; ?></h4>
							<?php endif; ?>
						</div>
					</div>
				</div>
				<?php endif; ?>

				<?php $features = get_field('features'); if ($features): ?>
				<div class="row justify-content-center">
					<?php foreach ($features as $feature): ?>
					<div class="col-md-2 col-sm-4 col-xs-6 col">
						<div class="feature-item">
							<div class="icon">
								<i class="<?php echo $feature['icon']; ?>"></i>
							</div>
							<?php if ($feature['title']): ?>
							<h4><?php echo $feature['title']; ?></h4>
							<?php endif; ?>
						</div>
					</div><!-- /feature-item -->
					<?php endforeach; ?>
				</div>
				<?php endif; ?>
			</div>
		</section><!-- /about -->

		<section class="practice-area cover-bg" style="background-image: url(<?php the_field('practice_areas_background'); ?>)">
			<div class="container">
				<?php 
					$practice_title = get_field('practice_areas_title');
					$practice_content = get_field('practice_areas_content');
				 	if ($practice_title || $practice_content): ?>
				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<div class="section-title text-center">
							<?php if ($practice_title): ?>
							<h2 class="title white"><?php echo $practice_title; ?></h2>
							<?php endif; ?>
							
							<?php if ($practice_content): ?>
							<h4 class="sub-title white"><?php echo $practice_content; ?></h4>
							<?php endif; ?>
						</div>
					</div>
				</div>
				<?php endif; ?>

				<div class="row justify-content-center">
					<?php
						$args = array(
							'post_type' => 'practice_areas',
							'orderby' => 'ASC',
							'posts_per_page' => 5,
						);

						$loop = new WP_Query( $args );
						
						if ($loop->have_posts()) : while ($loop->have_posts()) : $loop->the_post();
						$practice_image = get_field('practice_image');

						$imgSrc = $practice_image ? $practice_image['sizes']['practice_thumb_545x381'] : get_template_directory_uri().'/images/placeholder-thumb.jpg';
					?>
					<a href="<?php the_permalink(); ?>" <?php post_class('col-md-2 col-sm-4 col-xs-6 col'); ?>>
						<div class="practic-item text-center">
							<div class="media">
								<img src="<?php echo $imgSrc; ?>" class="img-responsive mx-auto" alt="<?php echo $practice_image['alt']; ?>">
							</div>
							<h5><?php the_title(); ?></h5>
						</div>
					</a><!-- /practic-item -->
					<?php endwhile; else : ?>
						<section class="not-found text-center"><h2><?php _e('No Practice Areas found!', 'lawyer'); ?></h2></section>
					<?php endif; wp_reset_postdata(); ?>
				</div>

				<?php if (get_field('practice_areas_button')): ?>
				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12 text-center">
						<a href="<?php the_field('practice_areas_button'); ?>" class="btn"><?php _e('View All Practices', 'lawyer'); ?></a>
					</div>
				</div>
				<?php endif; ?>
			</div>
		</section><!-- /practice-areas -->

		<section class="attorneys" style="background: <?php the_field('attorneys_bg'); ?>">
			<div class="container">
				<?php $attorneys_title = get_field('attorneys_title'); if($attorneys_title): ?>
				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<div class="section-title text-center">
							<h2 class="title"><?php echo $attorneys_title; ?></h2>
						</div>
					</div>
				</div>
				<?php endif; ?>

				<div class="row">
					<?php
						$args = array(
							'post_type' => 'attorneys',
							'orderby' => 'ASC',
							'posts_per_page' => 4,
						);

						$loop = new WP_Query( $args );
						if ($loop->have_posts()) : while ($loop->have_posts()) : $loop->the_post();
						$attorney_image = get_field('attorney_image');

						$AttimgSrc = $attorney_image ? $attorney_image['sizes']['attorney_545x543'] : get_template_directory_uri().'/images/placeholder-attorney.jpg';
					 ?>
					<a href="<?php the_permalink(); ?>" class="col-md-3 col-sm-6 col-xs-6 col">
						<div class="attorney text-center">
							<div class="media">
								<img src="<?php echo $AttimgSrc; ?>" class="img-responsive mx-auto" alt="<?php echo $attorney_image['alt']; ?>">
							</div>
							<div class="content">
								<h4><?php the_title(); ?></h4>

								<?php if (get_field('attorneys_position')): ?>
								<h5><?php the_field('attorneys_position'); ?></h5>
								<?php endif; ?>
							</div>
						</div>
					</a><!-- /attorney -->
					<?php endwhile; else : ?>
						<section class="not-found text-center"><h2><?php _e('No Attorneys found!', 'lawyer'); ?></h2></section>
					<?php endif; wp_reset_postdata(); ?>
				</div>
			</div>
		</section><!-- /attorneys -->

		<section class="latest-blog">
			<div class="container">
				<?php
					$latest_title = get_field('latest_posts_title'); 
					$latest_content = get_field('latest_posts_content'); 
					if ($latest_title || $latest_content): ?>
				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<div class="section-title text-center">
							<?php if ($latest_title): ?>
							<h2 class="title"><?php echo $latest_title; ?></h2>
							<?php endif; ?>

							<?php if ($latest_content): ?>
							<h4 class="sub-title"><?php echo $latest_content; ?></h4>
							<?php endif; ?>
						</div>
					</div>
				</div>
				<?php endif; ?>

				<div class="row">
					<?php 
                        $args = array(
                        	'order' => 'DESC',
                            'posts_per_page' => 3,
                        );
                        $counter = 1;
                        $loop = new WP_Query($args);
                        if ($loop->have_posts()) : while ($loop->have_posts()) : $loop->the_post(); 
                            $featured_image = get_field('blog_post_featured_image'); 
                            $imgSrc = $featured_image ? $featured_image['sizes']['post_737x361'] : get_template_directory_uri().'/images/placeholder-blog.jpg'; 
                    ?>
                    <?php if ($counter == 1): ?>
                    <article id="post-" class="blog-post col-md-6 col-sm-12 col-xs-12">
	                    <div class="media">
	                        <a href="<?php the_permalink(); ?>">
								<img src="<?php echo $imgSrc; ?>" class="img-responsive" alt="<?php the_title(); ?>">
							</a>
	                        <h3 class="entry-meta"><?php the_time('j'); ?><span class="month"><?php the_time('M'); ?></span></h3>
	                    </div>
	                    <div class="entry-content">
	                    	<a href="<?php the_permalink(); ?>"><h3 class="entry-title"><?php Limit_Text(get_the_title(), 49); ?></h3></a>

	                        <p><?php Limit_Text(get_the_content(), 170); ?></p>
	                    </div>
	                </article><!-- .article -->
                   	<?php else: ?>
                    <article id="post-" class="blog-post col-md-6 col-sm-6 col-xs-12">
	                    <div class="media pull-left">
	                        <a href="<?php the_permalink(); ?>">
								<img src="<?php echo $featured_image['sizes']['post_156x150']; ?>" class="img-responsive" alt="<?php the_title(); ?>">
							</a>
	                        <h3 class="entry-meta"><?php the_time('j'); ?><span class="month"><?php the_time('M'); ?></span></h3>
	                    </div>

	                    <div class="entry-content">
	                    	<a href="<?php the_permalink(); ?>"><h3 class="entry-title"><?php Limit_Text(get_the_title(), 25); ?></h3></a>

	                        <p><?php Limit_Text(get_the_content(), 120); ?></p>

	                        <div class="entry-footer">
		                    	<a href="<?php the_permalink(); ?>" class="btn"><?php _e('Read More', 'lawyer'); ?></a>
		                    </div>
	                    </div>
	                </article><!-- .article -->
	                <?php endif; $counter++; endwhile; endif; ?>
				</div>
			</div>
		</section><!-- /latest-blog -->

	</div><!-- #primary -->
<?php get_footer(); ?>