<?php 
/*
Template Name: Practice Areas
*/
get_header(); ?>
	<div id="primary" class="content-area">

		<section class="practic-pg">
			<div class="container">
				<div class="row">
					<?php
						$args = array(
							'post_type' => 'practice_areas',
							'orderby' => 'ASC',
							'posts_per_page' => -1,
						);

						$loop = new WP_Query( $args );
						if ($loop->have_posts()) : while ($loop->have_posts()) : $loop->the_post();
						$practice_image = get_field('practice_image');

						$imgSrc = $practice_image ? $practice_image['sizes']['practice_thumb_545x381'] : get_template_directory_uri().'/images/placeholder-thumb.jpg';
					 ?>
					<a href="<?php the_permalink(); ?>" <?php post_class('col-md-4 col-sm-6 col-xs-6 col'); ?>>
						<div class="practic-item text-center">
							<div class="media">
								<img src="<?php echo $imgSrc; ?>" class="img-responsive mx-auto" alt="<?php echo $practice_image['alt']; ?>">

								<div class="content-hover align-center">
									<div>
										<h3><?php the_title(); ?></h3>
										<p><?php Limit_Text(get_field('practice_content'), 109); ?></p>
									</div>
								</div>
							</div>
							<div class="title">
								<h5><?php the_title(); ?></h5>
							</div>
						</div>
					</a><!-- /practic-item -->
					<?php endwhile; else : ?>
						<section class="not-found text-center"><h2><?php _e('No Practice Areas found!', 'lawyer'); ?></h2></section>
					<?php endif; wp_reset_postdata(); ?>
				</div>
			</div>
		</section><!-- /practic-pg -->

	</div><!-- #primary -->
<?php get_footer(); ?>